#2922 closed defect (fixed)

libdl unresolved externals that use more than one block or multiple entries corrupts.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: lib/dl Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

If there are lots of unresolved externals the unresolved block structure get confused and the can lock up looking for a new slot to add an unresolved external.

Change History (4)

comment:1 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:3 Changed on Oct 14, 2018 at 12:52:20 AM by Chris Johns

Owner: changed from chrisj@… to Chris Johns
Status: newaccepted

comment:4 Changed on Nov 27, 2018 at 6:12:50 AM by Chris Johns

Resolution: fixed
Status: acceptedclosed
Note: See TracTickets for help on using tickets.